/* Resetting default margin and padding */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* Body styles */
body {
    font-family: Arial, sans-serif;
    background-color: #fdface;
}

/* Header styles */
header {
    background-color: #613583;
    color: #fff;
    padding: 2px;
    text-align: center;
    position: relative; /* Ensure the header is a positioning context for the absolute positioning of the image */
}

{
    display: flex;
    justify-content: space-between; /* Aligns items at the start and end of the container */

    background-color: #f0f0f0; /* Background color for the header */
    padding: 2px; /* Adds padding around the content */
}

header img {
	position: absolute; /* Position the image absolutely */
    top: 0; /* Position the image at the top */
    right: 0; /* Position the image at the right */
    max-width: 100%; /* Ensure the image doesn't exceed the width of its container */
    height: auto; /* Maintain aspect ratio */
    margin-right: 20px; /* Margin to create space between the image and other content */
    float: right; 
}

/* Navigation styles */
nav {
    float: left;
    width: 20%;
    background-color: #f4f4f4;
    padding: 20px;
}

nav h2 {
    margin-bottom: 10px;
    color: #333;
}

nav ul {
    list-style-type: none;
}

nav ul li {
    margin-bottom: 10px;
}

nav ul li a {
    color: #333;
    text-decoration: none;
}

/* Main content styles */
main {
    float: left;
    width: 80%;
    padding: 20px;
}

main h2 {
    margin-bottom: 20px;
}

/* Footer styles */
footer {
    clear: both;
    background-color: #613583;
    color: #fff;
    padding: 20px;
    text-align: center;
}

footer p {
    margin-top: 10px;
}
